module HhowmmDefs
    (
      color_null
    , color_black
    , color_grey
    , color_white
    , color_yellow
    , color_pink
    , color_blue
    , color_darkred
    , color_darkgreen
    , color_darkblue
    , color_lightblue
    , title_str
    , comefrom_str
    ) where

import Graphics.UI.WXCore (Color, rgb, nullColour)

color_null      :: Color
color_null      = nullColour
color_black     :: Color
color_black     = rgb (0x00::Int) (0x00::Int) (0x00::Int)
color_grey      :: Color
color_grey      = rgb (0xb0::Int) (0xb0::Int) (0xb0::Int)
color_white     :: Color
color_white     = rgb (0xff::Int) (0xff::Int) (0xff::Int)
color_yellow    :: Color
color_yellow    = rgb (0xff::Int) (0xd5::Int) (0x00::Int)
color_pink      :: Color
color_pink      = rgb (0xff::Int) (0x7d::Int) (0xf0::Int)
color_blue      :: Color
color_blue      = rgb (0x00::Int) (0x00::Int) (0xff::Int)
color_darkred   :: Color
color_darkred   = rgb (0x96::Int) (0x00::Int) (0x00::Int)
color_darkgreen :: Color
color_darkgreen = rgb (0x00::Int) (0x78::Int) (0x00::Int)
color_darkblue  :: Color
color_darkblue  = rgb (0x00::Int) (0x00::Int) (0x96::Int)
color_lightblue :: Color
color_lightblue = rgb (0x00::Int) (0xff::Int) (0xff::Int)

title_str :: String
title_str = "="
comefrom_str :: String
comefrom_str = "<<<"
